Bug 1708922 - The GLX extension causes problems on recent releases
Summary: The GLX extension causes problems on recent releases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libAfterImage
Version: 30
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1675256
Blocks: 1615383 1704691
TreeView+ depends on / blocked
 
Reported: 2019-05-11 17:13 UTC by Mattias Ellert
Modified: 2019-05-30 13:19 UTC (History)
1 user (show)

Fixed In Version: libAfterImage-1.20-21.fc30 libAfterImage-1.20-21.fc28 libAfterImage-1.20-21.fc29 libAfterImage-1.20-21.el7 libAfterImage-1.20-21.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 17:48:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattias Ellert 2019-05-11 17:13:01 UTC
Description of problem:

The GLX extension in libAfterImage causes issues for applications using the library in recent Fedora releases.

$ aterm
X Error of failed request:  GLXBadContext
  Major opcode of failed request:  150 (GLX)
  Minor opcode of failed request:  6 (X_GLXIsDirect)
  Serial number of failed request:  43
  Current serial number in output stream:  42

$ root -l
root [0] TBrowser b;
Error in <RootX11ErrorHandler>: GLXBadContext (XID: 25166192, XREQ: 150)
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
root.exe: xcb_io.c:263: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.

Using a recompiled libAfterImage compiled without the GLX extension (using --disable-glx instead of --enable-glx in configure) both applications work.

These are the only two users of the library in Fedora:

$ dnf repoquery --whatrequires 'libAfterImage.so.0()(64bit)'
aterm-0:1.0.1-28.fc30.x86_64
libAfterImage-devel-0:1.20-18.fc28.x86_64
root-graf-asimage-0:6.16.00-3.fc30.x86_64

I suggest rebuilding the package without the GLX extension enables.

Version-Release number of selected component (if applicable):

libAfterImage-1.20-18.fc28

The package failed the mass rebuild for F29 and F30, so the F28 version is used in F29 and F29 and rawhide too.

How reproducible:

Always

Steps to Reproduce:
1. Try to start aterm, or
2. Start root, then do something that opens a graphical display.

Actual results:

Failer (se description above).

Expected results:

Working applications.

Comment 1 Fedora Update System 2019-05-14 11:17:00 UTC
libAfterImage-1.20-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37ba387bca

Comment 2 Fedora Update System 2019-05-14 11:17:09 UTC
libAfterImage-1.20-21.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bedeb1af38

Comment 3 Fedora Update System 2019-05-14 11:17:18 UTC
libAfterImage-1.20-21.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6389c91fe6

Comment 4 Fedora Update System 2019-05-14 11:17:26 UTC
libAfterImage-1.20-21.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a28a7fe8d

Comment 5 Fedora Update System 2019-05-14 11:17:35 UTC
libAfterImage-1.20-21.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4ddf39537

Comment 6 Fedora Update System 2019-05-15 00:44:26 UTC
libAfterImage-1.20-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37ba387bca

Comment 7 Fedora Update System 2019-05-15 00:53:07 UTC
libAfterImage-1.20-21.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bedeb1af38

Comment 8 Fedora Update System 2019-05-15 00:58:20 UTC
libAfterImage-1.20-21.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a28a7fe8d

Comment 9 Fedora Update System 2019-05-15 07:25:50 UTC
libAfterImage-1.20-21.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4ddf39537

Comment 10 Fedora Update System 2019-05-15 07:40:26 UTC
libAfterImage-1.20-21.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6389c91fe6

Comment 11 Fedora Update System 2019-05-23 17:48:16 UTC
libAfterImage-1.20-21.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-05-23 18:27:37 UTC
libAfterImage-1.20-21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-05-24 21:49:18 UTC
libAfterImage-1.20-21.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-30 12:50:15 UTC
libAfterImage-1.20-21.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-30 13:19:03 UTC
libAfterImage-1.20-21.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.